SDL_Locale Struct Reference

`#include <SDL_locale.h>`

## Data Fields

const char * | language
const char * | country

## Detailed Description

# CategoryLocale

SDL locale services.

This provides a way to get a list of preferred locales (language plus country) for the user. There is exactly one function: SDL_GetPreferredLocales(), which handles all the heavy lifting, and offers documentation on all the strange ways humans might have configured their language settings. A struct to provide locale data.

Locale data is split into a spoken language, like English, and an optional country, like Canada. The language will be in ISO-639 format (so English would be "en"), and the country, if not NULL, will be an ISO-3166 country code (so Canada would be "CA").

Since
  This function is available since SDL 3.2.0.

See also
  SDL_GetPreferredLocales

Definition at line 60 of file SDL_locale.h.

## Field Documentation

## country

const char* SDL_Locale::country

A country, like "US" for America. Can be NULL.

Definition at line 63 of file SDL_locale.h.

## language

const char* SDL_Locale::language

A language name, like "en" for English.

Definition at line 62 of file SDL_locale.h.

The documentation for this struct was generated from the following file:

- SDL_locale.h